{
    "namespace": "dctx.rapidpass",
    "type": "record",
    "name": "RapidPass",
    "fields": [
        {
            "name": "type_and_purpose",
            "type": {
                "namespace": "dctx.rapidpass",
                "type": "fixed",
                "name": "Byte",
                "size": 1
            }
        },
        {
            "name": "control_code",
            "type": {
                "namespace": "dctx.rapidpass",
                "type": "fixed",
                "name": "ControlCode",
                "size": 4
            }
        },
        {
            "name": "valid_from",
            "type": {
                "namespace": "dctx.rapidpass",
                "type": "fixed",
                "name": "ValidFrom",
                "size": 4
            }
        },
        {
            "name": "valid_until",
            "type": {
                "namespace": "dctx.rapidpass",
                "type": "fixed",
                "name": "ValidUntil",
                "size": 4
            }
        },
        {
            "name": "id_or_plate",
            "type": "string"
        }
    ]
}
